## org.eclipse.emf.cdo.common.util
Interface BlockingCloseableIterator<T>

All Superinterfaces:
  org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.collection.CloseableIterator<T>, java.util.Iterator<T>

All Known Implementing Classes:
  AbstractQueryIterator, AbstractQueryResult, CDOQueryQueue.BlockingCloseableIteratorImpl

    public interface BlockingCloseableIterator<T>

extends org.eclipse.net4j.util.collection.CloseableIterator<T>

Since:
  2.0

Method Summary
`T` `peek()` Non-blocking call.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Method Detail

### peek

    T peek()

  Non-blocking call.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.